list File Reference

Go to the source code of this file.

## Classes

class | std::__debug::list< _Tp, _Allocator >

## Namespaces

namespace | __gnu_debug
namespace | std
namespace | std::__debug

## Macros

#define | _GLIBCXX20_ONLY(__expr)
#define | _GLIBCXX_DEBUG_LIST
#define | _GLIBCXX_LIST_REMOVE_RETURN_TYPE_TAG

## Functions

template<typename _Tp , typename _Alloc >
bool | std::__debug::operator!= (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | std::__debug::operator< (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | std::__debug::operator<= (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | std::__debug::operator== (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | std::__debug::operator> (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
bool | std::__debug::operator>= (const list< _Tp, _Alloc > &__lhs, const list< _Tp, _Alloc > &__rhs)
template<typename _Tp , typename _Alloc >
void | std::__debug::swap (list< _Tp, _Alloc > &__lhs, list< _Tp, _Alloc > &__rhs) noexcept(/*conditional */)

## Detailed Description

This file is a GNU debug extension to the Standard C++ Library.

Definition in file debug/list.

## Macro Definition Documentation

## _GLIBCXX20_ONLY

#define _GLIBCXX20_ONLY | ( |  | __expr | ) |

Definition at line 677 of file debug/list.

## _GLIBCXX_DEBUG_LIST

#define _GLIBCXX_DEBUG_LIST

Definition at line 30 of file debug/list.

## _GLIBCXX_LIST_REMOVE_RETURN_TYPE_TAG

#define _GLIBCXX_LIST_REMOVE_RETURN_TYPE_TAG

Definition at line 676 of file debug/list.